## ltrace 0.7.3

=== debian/changelog ===
ltrace (0.7.3-6.4ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:37 +1100

ltrace (0.7.3-6.4ubuntu2) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 01:02:12 +0000

ltrace (0.7.3-6.4ubuntu1) noble; urgency=medium

   * Merge from Debian unstable (LP: #2052294). Remaining changes:
     - Set architecture to linux-any.
     - sysdeps/linux-gnu/trace.c: try to make PTRACE scope sysctl more
       discoverable.
     - Define _LARGEFILE_SOURCE and _LARGEFILE64_SOURCE in debian/rules CFLAGS.
       The configure script has a bug where it can't properly cope with the need
       to define these before detecting the use of elfutils.
     - Add patch to support arm64.
     - Add patch to fix ltrace on binaries compiled on recent Ubuntu releases (LP 1992939)
     - Add various patches to support ppc64el.
   * Dropped changes, no longer needed:
     - Include cdbs' autoreconf rules to generate new Makefiles

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 02 Feb 2024 13:13:08 +0100

ltrace (0.7.3-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop building for MIPS, ltrace no longer works there.
    (Closes: #1023436)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 20:40:34 +0200

ltrace (0.7.3-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: disabled use of -Werror to avoid a FTBFS in mipsel, alpha and
    ia64 when using DH level 13. Thanks to Paul Gevers <elbrus@debian.org>.
    (Closes: #1010493)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 May 2022 20:51:56 -0300

ltrace (0.7.3-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965705
  * Dropped CDBS in favor of the debhelper to allow the build system to use
    DH level greater than 11. Consequently:
      - debian/control: removed no longer needed cdbs and autotools-dev from
        Build-Depends field.
      - debian/rules: changed from CDBS to DH.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 30 Mar 2022 20:48:13 -0300

ltrace (0.7.3-6.1ubuntu7) noble; urgency=medium

  * Fix ltrace on binaries compiled on recent Ubuntu releases (LP: #1992939)
    - debian/patches/lp1992939-add-intel-cet-support.patch, thanks to DJ Delorie

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 08 Dec 2023 14:54:53 +0100

ltrace (0.7.3-6.1ubuntu6) jammy; urgency=medium

  * Fix backport of upstream patch for ppc64el support (LP: #1967518)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 01 Apr 2022 12:28:12 +0200

ltrace (0.7.3-6.1ubuntu5) jammy; urgency=medium

  * Remove use of cdbs which is awful and must die.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 23 Mar 2022 22:52:13 -0700

ltrace (0.7.3-6.1ubuntu4) jammy; urgency=medium

  * Update debhelper compat to 12.  Closes: #965705.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 23 Mar 2022 20:51:14 -0700

ltrace (0.7.3-6.1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:20:25 +0200

ltrace (0.7.3-6.1ubuntu2) groovy; urgency=medium

  * No-change rebuild to bring back i386 binaries.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 29 Jun 2020 08:28:43 -0700

ltrace (0.7.3-6.1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Set architecture to linux-any.
    - sysdeps/linux-gnu/trace.c: try to make PTRACE scope sysctl more
      discoverable.
    - Define _LARGEFILE_SOURCE and _LARGEFILE64_SOURCE in debian/rules CFLAGS.
      The configure script has a bug where it can't properly cope with the need
      to define these before detecting the use of elfutils.
    - Add patch to support arm64.
    - Include cdbs' autoreconf rules to generate new Makefiles
    - Add various patches to support ppc64el.
    - Build-depend on dh-autoreconf instead of autotools-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 16:10:30 -0800

ltrace (0.7.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop building non-working armel and armhf packages.
    (Closes: #678453, #898113)

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Aug 2018 09:09:32 +0300

ltrace (0.7.3-6ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Set architecture to linux-any.
    - sysdeps/linux-gnu/trace.c: try to make PTRACE scope sysctl more
      discoverable.
    - Define _LARGEFILE_SOURCE and _LARGEFILE64_SOURCE in debian/rules CFLAGS.
      The configure script has a bug where it can't properly cope with the need
      to define these before detecting the use of elfutils.
    - Add patch to support arm64.
    - Include cdbs' autoreconf rules to generate new Makefiles
    - Add various patches to support ppc64el.
    - Build-depend on dh-autoreconf instead of autotools-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Oct 2016 23:20:41 -0700

ltrace (0.7.3-6) unstable; urgency=medium

  * Fixed compilation error in amd64: readdir_r is deprecated (closes: #837011)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 21 Sep 2016 13:15:35 +0200

ltrace (0.7.3-5.1ubuntu4) xenial; urgency=medium

  * debian/patches/LP1547152.diff: removed.
  * Backport more ppc64el fixes to fix tracing on PPC64; backporting the
    required bits and pieces from the rest of ltrace (LP: #1547152, #1398143)
    - add_irelative_tracing_b420a226.patch: add support for IRELATIVE tracing.
    - find_irelative_b061bae3.patch: split the function
      linux_elf_find_irelative_name out of linux_elf_add_plt_entry_irelative

