## ltrace 0.7.3+git20240814

=== debian/changelog ===
ltrace (0.7.3+git20240814-0.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bo YU ]
  * Fix ftbfs on riscv64. (Closes: #1078799)

  [ wuruilong ]
  * Fix ftbfs on loong64. (Closes: #1082965)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Nov 2024 23:32:48 +0100

ltrace (0.7.3+git20240814-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable. Closes: #1019505
    * New release, Closes: #958369, #927149, #606026, #553189
    * Enable build for arm64, mips64el, loong64, ppc64el, riscv64
      Closes: #1042390, #871574, #744752, #1050320, #1027385

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Aug 2024 23:38:24 +0200

ltrace (0.7.3+git20240814-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream git snapshot from commit
    8eabf684ba6b11ae7a1a843aca3c0657c6329d73.
    Closes: #958369, #927149, #606026, #553189
  * Remove all Debian patches.
  * Set Homepage: https://www.ltrace.org (Closes: #1019505)
  * Enable build for arm64, loong64, mips64el, ppc64el, riscv64
    Closes: #1042390, #871574, #744752, #1050320, #1027385

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Aug 2024 19:54:00 +0200
