=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ltrace
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Juan Cespedes <cespedes@debian.org>
+Maintainer: Juan Cespedes <cespedes@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper-compat (= 13), libiberty-dev, libelf-dev, libselinux1-dev
 
 Package: ltrace
-Architecture: linux-any
+Architecture: alpha arm64 amd64 ia64 i386 loong64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Homepage: https://www.ltrace.org
 Description: Tracks runtime library calls in dynamically linked programs
  ltrace is a debugging program which runs a specified command until it
  exits.  While the command is executing, ltrace intercepts and records
