## ltrace 0.7.91~git20230705.8eabf68

=== debian/changelog ===
ltrace (0.7.91~git20230705.8eabf68-4) unstable; urgency=medium

  * d/p/:
    0025  Fix SIGABRT if ltelf_init() early-exited (Closes: #1101361)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 26 Mar 2025 16:22:55 +0100

ltrace (0.7.91~git20230705.8eabf68-3) unstable; urgency=medium

  d/p/:
    0003  drop last mention of llong being unsupported
          use ullong instead of ulong for {ino,off}_t64
    0024  default config: Add hton[ls]()/ntoh[ls]()
          More unbuffered stdio (__overflow, __fpending, fputs_unlocked)
          Checked printfs (__{v,}{f,s,as,}printf_chk, __obstack_{v,}printf_chk)
          dirname(), memmem(), fe[gs]etround()

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 30 Jan 2025 00:04:22 +0100

ltrace (0.7.91~git20230705.8eabf68-2) unstable; urgency=medium

  * d/p/0016: add vfork, sync family, canonicalize_file_name, strncasecmp
  * Drop Architecture: mips64el sparc64 (never actually ported there)
  * Fix FTBFS on loong64

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 02 Jan 2025 15:30:44 +0100

ltrace (0.7.91~git20230705.8eabf68-1) unstable; urgency=medium

  * Homepage: https://ltrace.org/
  * d/watch: add, pointing at https://gitlab.com/cespedes/ltrace
    + New upstream version format that reflects reality more
  * Standards-Version: 4.7.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Vcs-Git: https://salsa.debian.org/debian/ltrace.git
  * Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz> (Closes: #1088700)
  * Replace libiberty-dev dependency with just using cxa_demangle
  * d/control: remove Homepage: and R-R-R: from binary section
  * d/p/:
    0003  Add llong/ullong
    0004  default config: openat*(), getopt_long*() consistency, fseek*(),
                          ftell*(), reallocarray(), pread*(), pwrite*(),
                          lseek*() with whence enum, *readv*(), *writev*(),
                          __cxa_finalize()
    0005  Remove extraneous whitespace around [] and {}
    0006  Read larger-than-word buffers with process_vm_readv
          Pre-buffer arrays of primitives
    0007  Handle format %b. Add bin() lens
    0008  Add %w[f]{WIDTH}x (glibc 2.38, C2x)
    0009  default config: Add splice()/copy_file_range()/sendfile[64]()
    0010  default config: __errno_location() returns an int*, not addr
    0011  default config: pipe[2]() with fds; sysconf(); m[un]map[64]();
                          operator new/delete; regex.h suite
    0012  Turn opt_p into an array
    0013  Open -o "we" instead of "w" then setting O_CLOEXEC manually
    0014  Boolify pass for prototype/read_config_file
    0015  Remove unused list_of_functions
    0016  default config: Full stat/statfs suite, bare names;
                          strto*ll(); *locale(); time.h functions and struct tm;
                          wgetch, tgetstr, MEVENT, getmouse;
                          linkat, renameat{,2}, mkdirat; {,d,dc}gettext,
                          nl_langinfo; ungetc, freopen, fmemopen,
                          open_{,w}memstream, {v,}asprintf, getline,
                          {,__}getdelim, __xpg_basename, strnlen, strverscmp,
                          memcmp, bcmp, strtok_r, strpbrk, stat64, realpath,
                          getsubopt, mbtowc; qsort_r(); boolify isw*()

    In addition to the functional changes, this rollup speeds up ltrace by 20x
    Closes: #1042065

    0018  Fix printf() parser treating field width as array length for strings
          Closes: #804494
    0019  Allow tracing shebanged #! programs directly (Closes: #614994)

    22    loong64 syscalls from Linux 6.10
          https://gitlab.com/cespedes/ltrace/-/merge_requests/22
    21    RISC-V: Add support for c.ebreak — 4-byte ebreak sometimes causes OOB
          https://gitlab.com/cespedes/ltrace/-/merge_requests/21
    19    Fix double free in get_enum
          https://gitlab.com/cespedes/ltrace/-/merge_requests/19#note_2234679059

    0022  ltrace crashes when trying to resolve memory mapped shared libraries
          of an inferior under /proc/self/fd/*
          https://gitlab.com/cespedes/ltrace/-/issues/15
    0023  getcwd() returns string, not string2
  * d/ltrace.docs: install upstream NEWS
  * Install new, blank, /etc/ltrace.conf with migration instructions;
    copy old ltrace.conf to docs as ltrace.conf.old (Closes: #1086442)
  * Build for m68k sparc64 too (README indicates it should work)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 14 Dec 2024 22:30:41 +0100
