=== debian/control ===
Source: ltrace
Section: utils
Priority: optional
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libelf-dev, libselinux1-dev
Build-Conflicts: libiberty-dev
Homepage: https://ltrace.org/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/ltrace.git
Vcs-Browser: https://salsa.debian.org/debian/ltrace

Package: ltrace
Architecture: alpha amd64 arm64 i386 ia64 loong64 m68k powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sparc
#             armel  #678453
#             armhf  #898113
#             mipsel #1023436
#             sparc64 never ported — https://buildd.debian.org/status/fetch.php?pkg=ltrace&arch=sparc64&ver=0.7.91%7Egit20230705.8eabf68-1&stamp=1735486190&raw=0
#             mips64el never ported (and it's non-trivial to adapt) — https://buildd.debian.org/status/fetch.php?pkg=ltrace&arch=mips64el&ver=0.7.91%7Egit20230705.8eabf68-1&stamp=1735721200&raw=0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tracks runtime library calls in dynamically linked programs
 ltrace is a debugging program which runs a specified command until it
 exits.  While the command is executing, ltrace intercepts and records
 the dynamic library calls which are called by
 the executed process and the signals received by that process.
 It can also intercept and print the system calls executed by the program.
 .
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have the source handy.
 .
 You should install ltrace if you need a sysadmin tool for tracking the
 execution of processes.
