=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --with-libunwind=no --disable-werror

override_dh_install:
	dh_install
	mkdir -p debian/ltrace/etc/
	cp debian/ltrace.conf debian/ltrace/etc/
	rm -f debian/ltrace/usr/share/doc/ltrace/COPYING
	rm -f debian/ltrace/usr/share/doc/ltrace/INSTALL
