=== debian/watch ===
# Upstream prior to the gitlab move used versioned tags.
# Post-gitlab it didn't tag versionsm but used to update them in configure.ac
# (https://gitlab.com/cespedes/ltrace/-/blame/8eabf684ba6b11ae7a1a843aca3c0657c6329d73/configure.ac#L26)
# Now it doesn't, and the upstream version is fixed at 0.7.91.
version=4
opts="mode=git,pgpmode=none,pretty=0.7.91~git%cd.%h" \
  https://gitlab.com/cespedes/ltrace \
  HEAD
